## kdepim-runtime 4.7.4

=== agents/maildispatcher/CMakeLists.txt ===
add_subdirectory( tests )

set( maildispatcheragent_SRCS
  maildispatcheragent.cpp
  outboxqueue.cpp
  sendjob.cpp
  sentactionhandler.cpp
  storeresultjob.cpp
  #configdialog.cpp
)

kde4_add_ui_files(maildispatcheragent_SRCS settings.ui)
kde4_add_kcfg_files(maildispatcheragent_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/maildispatcheragent.kcfg org.kde.Akonadi.MailDispatcher.Settings)
qt4_add_dbus_adaptor(maildispatcheragent_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.MailDispatcher.Settings.xml settings.h Settings
)
qt4_add_dbus_adaptor( maildispatcheragent_SRCS
  org.freedesktop.Akonadi.MailDispatcherAgent.xml maildispatcheragent.h MailDispatcherAgent
)

if (RUNTIME_PLUGINS_STATIC)
  add_definitions(-DMAIL_SERIALIZER_PLUGIN_STATIC)
endif (RUNTIME_PLUGINS_STATIC)

kdepim_add_agent(akonadi_maildispatcher_agent ${maildispatcheragent_SRCS})

if (RUNTIME_PLUGINS_STATIC)
  target_link_libraries(akonadi_maildispatcher_agent akonadi_serializer_mail)
endif (RUNTIME_PLUGINS_STATIC)

if (Q_WS_MAC)
  set_target_properties(akonadi_maildispatcher_agent PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_maildispatcher_agent PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.maildispatcher")
  set_target_properties(akonadi_maildispatcher_agent PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Maildispatcher")
endif (Q_WS_MAC)

target_link_libraries(akonadi_maildispatcher_agent ${KDEPIMLIBS_AKONADI_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS} ${KDEPIMLIBS_MAILTRANSPORT_LIBS} ${KDEPIMLIBS_KPIMUTILS_LIBS} ${KDE4_KNOTIFYCONFIG_LIBS})

install( FILES maildispatcheragent.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )
install( FILES akonadi_maildispatcher_agent.notifyrc DESTINATION "${DATA_INSTALL_DIR}/akonadi_maildispatcher_agent" )

=== qml/akonadi/CMakeLists.txt ===
if (QT_QTDECLARATIVE_FOUND)
install(FILES
  qmldir
  collectionview.qml
  AkonadiBreadcrumbNavigationView.qml
  CollectionDelegate.qml
  border_dot.png
  check.png
  sliderbackground.png
  transparentplus.png
  DESTINATION ${PLUGIN_INSTALL_DIR}/imports/org/kde/akonadi
)

if(NOT WINCE)
add_subdirectory( tests )
endif(NOT WINCE)

endif (QT_QTDECLARATIVE_FOUND)

=== resources/pop3/tests/CMakeLists.txt ===
find_package(Akonadi)

set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${Boost_INCLUDE_DIR}
    ${AKONADI_INCLUDE_DIR}
    ${KDEPIMLIBS_INCLUDE_DIRS}
)

# Stolen from kdepimlibs/akonadi/tests
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

macro(add_akonadi_isolated_test _source)
  get_filename_component(_targetName ${_source} NAME_WE)
  set(_srcList ${_source} fakeserver/fakeserver.cpp)

  kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/../settings.kcfg org.kde.Akonadi.POP3.Settings)
  set(pop3settingsinterface_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.POP3.Settings.xml)
  kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/../../maildir/maildirresource.kcfg org.kde.Akonadi.Maildir.Settings)
  set(maildirsettingsinterface_xml ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml)
  set_source_files_properties(${pop3settingsinterface_xml} PROPERTIES INCLUDE "../metatype.h")
  qt4_add_dbus_interface(_srcList ${pop3settingsinterface_xml} pop3settings)
  qt4_add_dbus_interface(_srcList ${maildirsettingsinterface_xml} maildirsettings)
  # add the dbus interace to every test (easier than adding to particular tests only)
  #qt4_add_dbus_interface(_srcList ../org.kde.krss.xml krssinterface)

  kde4_add_executable(${_targetName} TEST ${_srcList})
  target_link_libraries(${_targetName}
    ${QT_QTTEST_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDEPIMLIBS_AKONADI_LIBS}
    ${KDE4_KDECORE_LIBS}
    ${KDEPIMLIBS_KMIME_LIBS}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${QT_QTDBUS_LIBRARY}
  )

  # based on kde4_add_unit_test
  if (WIN32)
    get_target_property( _loc ${_targetName} LOCATION )
    set(_executable ${_loc}.bat)
  else (WIN32)
    set(_executable ${EXECUTABLE_OUTPUT_PATH}/${_targetName})
  endif (WIN32)
  if (UNIX)
    set(_executable ${_executable}.shell)
  endif (UNIX)

  find_program(_testrunner akonaditest)

  add_test( ${_targetName} ${_testrunner} -c ${CMAKE_CURRENT_SOURCE_DIR}/unittestenv/config.xml ${_executable} )
endmacro(add_akonadi_isolated_test)

add_akonadi_isolated_test(pop3test.cpp)

=== debian/changelog ===
kdepim-runtime (4:4.7.4-0ubuntu0.2) oneiric-security; urgency=low

  * No change rebuild into the -security pocket

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Jul 2012 08:09:52 -0400

kdepim-runtime (4:4.7.4-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bugfix release (LP: #913928)
  * Add debian/patches/fix_memleak.diff: Cherrypick kdepim-runtime 4.7 branch
    8df3037e8330dc52f8627e8daa9c160dd7a9ba57 to fix imap related memory leak
  * Add debian/patches/respect_readonly.diff: Cherrypick kdepim-runtime 4.7
    branch e6ed8e6798c394e75fe6a3a8cd5ac0c1e9cf1787 so that maildir read only
    attributes will be respected
  * Add debian/patches/remove_bcc_before_send.diff: Cherrypick kdepim-runtime
    4.7 branch 468b955ec785d8dca94ae00aa982d6d1b0a86410 so that bcc headers
    are removed by the mail dispatcher agent before mail is sent

 -- Scott Kitterman <scott@kitterman.com>  Wed, 11 Jan 2012 09:50:59 -0500

kdepim-runtime (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Jonathan Kolberg ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 22:06:04 -0500

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
 debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6), libakonadi-dev (>= 1.5.0),
 libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.46-dev,
 libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2)
Standards-Version: 3.9.1
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime

Package: kdepim-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepimlibs-kio-plugins, akonadi-server (>= 1.3)
Replaces: akonadi-kde, libmaildir4
Breaks: akonadi-kde, libmaildir4, kdepimlibs5 (<< 4:4.4)
Description: Runtime components for akonadi-kde
 This package contains akonadi agents written using kdelibs.
 Any package that uses akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg (<< 4:4.5.96)
Breaks: kdepim-dbg (<< 4:4.5.96)
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: debugging files for akonadi kde runtime components
 This package contains debugging symbols.
 .
 This package is part of the kdepim-runtime module.

## kdepim-runtime 4.8.2a

=== CMakeLists.txt ===
project(kdepim-runtime)

# where to look first for cmake modules. This line must be the first one or cmake will use the system's FindFoo.cmake
set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/modules)

add_definitions( -DDISABLE_NEPOMUK_LEGACY )

############### KDEPIM-Runtime version ################
# KDEPIM_RUNTIME_VERSION
# Version scheme: "x.y.z build".
#
# x is the version number.
# y is the major release number.
# z is the minor release number.
#
# "x.y.z" follow the kdelibs version kdepim is released with.
#
# If "z" is 0, it the version is "x.y"
#
# KDEPIM_RUNTIME_DEV_VERSION
# is empty for final versions. For development versions "build" is
# something like "pre", "alpha1", "alpha2", "beta1", "beta2", "rc1", "rc2".
#
# Examples in chronological order:
#
#    3.0
#    3.0.1
#    3.1 alpha1
#    3.1 beta1
#    3.1 beta2
#    3.1 rc1
#    3.1
#    3.1.1
#    3.2 pre
#    3.2 alpha1

#if (NOT DEFINED KDEPIM_RUNTIME_DEV_VERSION)
#    set( KDEPIM_RUNTIME_DEV_VERSION "rc2" )
#endif ()

set( KDEPIM_RUNTIME_VERSION "4.8.2" )

############### search-related options ################
option(KDEPIM_NO_NEPOMUK "Build without nepomuk dependency" FALSE)

if(KDEPIM_NO_NEPOMUK)
  add_definitions(-DKDEPIM_NO_NEPOMUK)
endif(KDEPIM_NO_NEPOMUK)
add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)


############### search packages used by KDE ###############

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(KdepimLibs 4.7.41 REQUIRED)

find_package(Boost 1.34.0)
macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE "1.34.0" "Required by Akonadi.")

set(AKONADI_MIN_VERSION 1.4.91)
find_package(Akonadi)
macro_log_feature(Akonadi_FOUND "Akonadi" "Akonadi server libraries" "http://pim.kde.org/akonadi" TRUE "${AKONADI_MIN_VERSION}" "Akonadi is required to build kdepim-runtime.")

set(SHARED_MIME_INFO_MINIMUM_VERSION "0.30")
find_package(SharedMimeInfo)
macro_log_feature(SHARED_MIME_INFO_FOUND "SMI" "SharedMimeInfo" "http://freedesktop.org/wiki/Software/shared-mime-info" TRUE "0.30" "SharedMimeInfo is required.")

find_package(LibXml2)
macro_log_feature(LIBXML2_FOUND "LibXML2" "Libraries used to develop XML applications" "http://xmlsoft.org" FALSE "" "Needed for building the knut Akonadi resource.")

set(SDO_MIN_VERSION 0.6.51)
set(SOPRANO_MIN_VERSION 2.3.70)

if(NOT KDEPIM_NO_NEPOMUK)

find_package(SharedDesktopOntologies ${SDO_MIN_VERSION})
macro_log_feature(SHAREDDESKTOPONTOLOGIES_FOUND "Shared desktop ontologies" "Desktop ontologies" "http://oscaf.sourceforge.net" TRUE "${SDO_MIN_VERSION}" "Ontologies necessary for the Nepomuk semantic desktop.")

find_package(Soprano)
macro_log_feature(Soprano_FOUND "Soprano" "Semantic Desktop Storing" "http://soprano.sourceforge.net" TRUE "${SOPRANO_MIN_VERSION}" "Soprano is needed for Nepomuk")

find_package(Nepomuk)
macro_log_feature(Nepomuk_FOUND "Nepomuk" "The Nepomuk libraries" "http://www.kde.org" TRUE "" "Nepomuk extends the search and tagging functionalities in KMail and Akonadi")

else( NOT KDEPIM_NO_NEPOMUK )

message( STATUS "Skipping detection of Nepomuk dependencies, feature is disabled." )

endif(NOT KDEPIM_NO_NEPOMUK)

find_package(Strigi)
macro_log_feature(STRIGI_FOUND "Strigi" "Index metadata of files" "http://strigi.sourceforge.net" FALSE "" "")

############### search programs & libraries used by kdepim-runtime ###############

find_program(XSLTPROC_EXECUTABLE xsltproc)
macro_log_feature(XSLTPROC_EXECUTABLE "xsltproc" "The command line XSLT processor from libxslt" "http://xmlsoft.org/XSLT/" TRUE "" "Required for building Akonadi.")

find_library(STRIGIQTDBUSCLIENT_LIBRARY NAMES strigiqtdbusclient
  PATHS
  /usr/lib
  /usr/local/lib
  ${LIB_INSTALL_DIR}
  $ENV{STRIGI_HOME}/lib
)
macro_log_feature(STRIGIQTDBUSCLIENT_LIBRARY "strigi indexing" "Strigi built with indexing" "http://strigi.sourceforge.net/" FALSE "" "For Akonadi tools such as the message searchprovider")


############### Load the CTest options ###############

# CMake is irritating and doesn't allow setting the tests timeout globally.
# Let's work around this. The global timeout is now 2 minutes.
set(_DartConfigFile "${CMAKE_BINARY_DIR}/DartConfiguration.tcl")
if(EXISTS ${_DartConfigFile})
  set(DartTestingTimeout "120")
  file(READ ${_DartConfigFile} _DartConfigFile_content)
  string(REGEX REPLACE "TimeOut: 1500" "TimeOut: ${DartTestingTimeout}" _DartConfigFile_content ${_DartConfigFile_content})
  file(WRITE ${_DartConfigFile} ${_DartConfigFile_content})
endif()

# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)


############### Desktop vs. Mobile options ##############

option(KDEPIM_MOBILE_UI "Build UI for mobile devices instead of for desktops" FALSE)
if (KDEPIM_MOBILE_UI)
  macro_log_feature(QT_QTDECLARATIVE_FOUND "QtDeclarative" "Qt Declarative (QML) module" "http://qt.nokia.com" TRUE "4.7" "Required for building mobile UI")
  add_definitions( -DKDEPIM_MOBILE_UI )
endif (KDEPIM_MOBILE_UI)

if(WINCE)
  set(LIBRARY_TYPE STATIC)
  add_definitions(-DKDEPIM_STATIC_LIBS)
else(WINCE)
  set(LIBRARY_TYPE SHARED)
endif(WINCE)

#FIXME: kde4_add_plugin doesn't have a parameter to build the plugins statically.
if (RUNTIME_PLUGINS_STATIC)
  set(SERIALIZER_TYPE STATIC)
endif (RUNTIME_PLUGINS_STATIC)

############### Enterprise build options #################

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

# config-enterprise.h is needed for both ENTERPRISE_BUILD and BUILD_EVERYTHING
configure_file(config-enterprise.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h )

############### Needed commands before building anything ###############

include_directories(${kdepim-runtime_SOURCE_DIR} ${kdepim-runtime_BINARY_DIR} ${AKONADI_INCLUDE_DIR} ${Boost_INCLUDE_DIR} ${KDE4_INCLUDES} ${KDEPIMLIBS_INCLUDE_DIRS})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

############### Generate akonadi-config.h ###############

configure_file(akonadi-version.h.cmake "${kdepim-runtime_BINARY_DIR}/akonadi-version.h" @ONLY)


############### Macros ###############

# generates a D-Bus interface description from a KConfigXT file
macro(kcfg_generate_dbus_interface _kcfg _name)
  add_custom_command(
    OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
    COMMAND ${XSLTPROC_EXECUTABLE} --stringparam interfaceName ${_name}
    ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
    ${_kcfg}
    > ${CMAKE_CURRENT_BINARY_DIR}/${_name}.xml
    DEPENDS ${KDEPIMLIBS_DATA_DIR}/akonadi-kde/kcfg2dbus.xsl
    ${_kcfg}
    )
endmacro(kcfg_generate_dbus_interface)

# resource tests
macro( akonadi_add_resourcetest _testname _script )
  if ( ${EXECUTABLE_OUTPUT_PATH} )
    set( _exepath ${EXECUTABLE_OUTPUT_PATH} )
  else ( ${EXECUTABLE_OUTPUT_PATH} )
    set( _exepath ${kdepim-runtime_BINARY_DIR}/resourcetester )
  endif ( ${EXECUTABLE_OUTPUT_PATH} )
  if (WIN32)
    set(_resourcetester ${_exepath}/resourcetester.bat)
  else (WIN32)
    set(_resourcetester ${_exepath}/resourcetester)
  endif (WIN32)
  if (UNIX)
    set(_resourcetester ${_resourcetester}.shell)
  endif (UNIX)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/${_script} ${CMAKE_CURRENT_BINARY_DIR}/${_script} COPYONLY)
  add_test( akonadi-mysql-db-${_testname} akonaditest -c ${kdepim-runtime_SOURCE_DIR}/resourcetester/tests/unittestenv/config-mysql-db.xml ${_resourcetester} -c ${CMAKE_CURRENT_BINARY_DIR}/${_script} )
endmacro( akonadi_add_resourcetest )

############### Now, we add the components ###############

add_subdirectory(resources)
add_subdirectory(agents)
add_subdirectory(libkdepim-copy)
add_subdirectory(plugins)
add_subdirectory(accountwizard)
add_subdirectory(defaultsetup)

if (NOT WINCE)
add_subdirectory(xml)
add_subdirectory(resourcetester)
add_subdirectory(kioslave)
add_subdirectory(kcm)
add_subdirectory(tray)
add_subdirectory(migration)
if (KDEPIMLIBS_KRESOURCES_LIBS)
  add_subdirectory(kresources)
endif (KDEPIMLIBS_KRESOURCES_LIBS)
endif(NOT WINCE)
if (QT_QTDECLARATIVE_FOUND)
  add_subdirectory(qml)
endif (QT_QTDECLARATIVE_FOUND)

#if(OPENSYNC_FOUND)
#  add_subdirectory(opensync)
#endif(OPENSYNC_FOUND)

############### Here we install some extra stuff  ###############

## install the MIME type spec file for KDEPIM specific MIME types
install(FILES kdepim-mime.xml DESTINATION ${XDG_MIME_INSTALL_DIR})
update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

macro_display_feature_log()

=== debian/changelog ===
kdepim-runtime (4:4.8.2a-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:02 +0100

kdepim-runtime (4:4.8.2a-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 31 Mar 2012 19:18:21 +0200

kdepim-runtime (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 03 Mar 2012 18:27:36 +0100

kdepim-runtime (4:4.8.0a-0ubuntu2) precise; urgency=low

  * Bump kde library build-depends to 4.8 fix fail to build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jan 2012 13:55:08 +0000

kdepim-runtime (4:4.8.0a-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jan 2012 12:01:24 +0000

kdepim-runtime (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Jan 2012 13:14:59 +0000

kdepim-runtime (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate
  * Correctly refresh not-installed

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 14:28:51 +0100

kdepim-runtime (4:4.7.90-0ubuntu2) precise; urgency=low

  * Add libnepomukdatamanagement-copy.so to kdepim-runtime.install
    required by akonadi_nepomuk_feeder
  * refresh not-installed

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 23 Dec 2011 00:35:07 +0100

kdepim-runtime (4:4.7.90-0ubuntu1) precise; urgency=low

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Dec 2011 19:11:47 +0000

kdepim-runtime (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 29 Oct 2011 11:56:59 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6), kdepimlibs5-dev (>= 4:4.6), libakonadi-dev (>= 1.5.0),
+ kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), libakonadi-dev (>= 1.5.0),
  libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.46-dev,
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2)
 Standards-Version: 3.9.1

## kdepim-runtime 4.8.4

=== debian/changelog ===
kdepim-runtime (4:4.8.4-0ubuntu0.2) precise-security; urgency=low

  * No change rebuild into the -security pocket.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Jul 2012 08:09:24 -0400

kdepim-runtime (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)

 -- Felix Geyer <debfx@ubuntu.com>  Sat, 23 Jun 2012 22:37:16 +0200

kdepim-runtime (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)
    - update kdepim-runtime.install
      (libnepomukdatamanagement-copy was renamed to kdepim-runtime-dms-copy)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 May 2012 17:43:30 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), libakonadi-dev (>= 1.5.0),
  libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.46-dev,

## kdepim-runtime 4.8.5

=== resources/imap/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${Boost_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )

option(IMAPRESOURCE_NO_SOLID "Disable the use of solid in the imap resource" FALSE)
if(IMAPRESOURCE_NO_SOLID)
  add_definitions( -DIMAPRESOURCE_NO_SOLID=1 )
endif(IMAPRESOURCE_NO_SOLID)

########### next target ###############

set( imapresource_LIB_SRCS
  addcollectiontask.cpp
  additemtask.cpp
  changecollectiontask.cpp
  changeitemtask.cpp
  expungecollectiontask.cpp
  imapaccount.cpp
  imapflags.cpp
  movecollectiontask.cpp
  moveitemtask.cpp
  noselectattribute.cpp
  passwordrequesterinterface.cpp
  removecollectiontask.cpp
  removecollectionrecursivetask.cpp
  removeitemtask.cpp
  resourcestateinterface.cpp
  resourcetask.cpp
  retrievecollectionmetadatatask.cpp
  retrievecollectionstask.cpp
  retrieveitemtask.cpp
  retrieveitemstask.cpp
  sessionpool.cpp
  timestampattribute.cpp
  uidvalidityattribute.cpp
  uidnextattribute.cpp
  ${AKONADI_COLLECTIONATTRIBUTES_SHARED_SOURCES}
  ${AKONADI_IMAPATTRIBUTES_SHARED_SOURCES}
)

kde4_add_library(imapresource STATIC ${imapresource_LIB_SRCS})

target_link_libraries(imapresource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDEPIMLIBS_KIMAP_LIBS} ${KDEPIMLIBS_MAILTRANSPORT_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${KDEPIMLIBS_KPIMIDENTITIES_LIBS} ${KDEPIMLIBS_KPIMUTILS_LIBS})

if( NOT IMAPRESOURCE_NO_SOLID)
  target_link_libraries(imapresource ${KDE4_SOLID_LIBS})
endif( NOT IMAPRESOURCE_NO_SOLID)
########### next target ###############

set( akonadi_imap_resource_SRCS
  imapidlemanager.cpp
  imapresource.cpp
  resourcestate.cpp
  settings.cpp
  settingspasswordrequester.cpp
  setupserver.cpp
  subscriptiondialog.cpp
)

install( FILES imapresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )

if (KDEPIM_MOBILE_UI)
kde4_add_ui_files(akonadi_imap_resource_SRCS setupserverview_mobile.ui)
else (KDEPIM_MOBILE_UI)
kde4_add_ui_files(akonadi_imap_resource_SRCS setupserverview_desktop.ui)
endif (KDEPIM_MOBILE_UI)
kcfg_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/imapresource.kcfg org.kde.Akonadi.Imap.Settings )
qt4_add_dbus_adaptor( akonadi_imap_resource_SRCS
     ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Imap.Settings.xml settings.h Settings
     )
qt4_generate_dbus_interface( ${CMAKE_CURRENT_SOURCE_DIR}/imapresource.h org.kde.Akonadi.Imap.Resource.xml OPTIONS -a )
qt4_add_dbus_adaptor( akonadi_imap_resource_SRCS
     ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Imap.Resource.xml
        imapresource.h ImapResource
     )
kde4_add_kcfg_files(akonadi_imap_resource_SRCS settingsbase.kcfgc)

if (RUNTIME_PLUGINS_STATIC)
    add_definitions(-DMAIL_SERIALIZER_PLUGIN_STATIC)
endif (RUNTIME_PLUGINS_STATIC)

kde4_add_executable(akonadi_imap_resource ${akonadi_imap_resource_SRCS})

if (Q_WS_MAC)
  set_target_properties(akonadi_imap_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_imap_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Imap")
  set_target_properties(akonadi_imap_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi IMAP Resource")
endif (Q_WS_MAC)

target_link_libraries(akonadi_imap_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTDBUS_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTGUI_LIBRARY} ${QT_QTNETWORK_LIBRARY} ${KDEPIMLIBS_KIMAP_LIBS} ${KDEPIMLIBS_MAILTRANSPORT_LIBS} ${KDE4_KIO_LIBS} ${KDEPIMLIBS_KMIME_LIBS} ${KDEPIMLIBS_AKONADI_KMIME_LIBS} ${KDEPIMLIBS_KPIMIDENTITIES_LIBS} imapresource)

if (RUNTIME_PLUGINS_STATIC)
  target_link_libraries(akonadi_imap_resource akonadi_serializer_mail)
endif (RUNTIME_PLUGINS_STATIC)

if( NOT IMAPRESOURCE_NO_SOLID)
target_link_libraries(akonadi_imap_resource ${KDE4_SOLID_LIBS})
endif( NOT IMAPRESOURCE_NO_SOLID)

install(TARGETS akonadi_imap_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory( wizard )
if(NOT WINCE)
add_subdirectory( tests )
endif(NOT WINCE)

=== resources/kabc/CMakeLists.txt ===
add_definitions(-DWANT_DEPRECATED_KCAL_API)
add_definitions(-DWANT_DEPRECATED_KABC_API)
add_definitions(-DWANT_DEPRECATED_KRESOURCE_API)

include_directories(
  ${kdepim-runtime_SOURCE_DIR}
  ${QT_QTDBUS_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )


########### next target ###############

set( kabcresource_SRCS
  kabcresource.cpp
  kresourceassistant.cpp
)

install( FILES kabcresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )


kde4_add_executable(akonadi_kabc_resource ${kabcresource_SRCS})

if (Q_WS_MAC)
  set_target_properties(akonadi_kabc_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_kabc_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.KABC")
  set_target_properties(akonadi_kabc_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi KABC Resource")
endif (Q_WS_MAC)

target_link_libraries(akonadi_kabc_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDEPIMLIBS_KABC_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS akonadi_kabc_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== resources/localbookmarks/CMakeLists.txt ===
include_directories(
    ${kdepim-runtime_SOURCE_DIR}
    ${QT_QTDBUS_INCLUDE_DIR}
    ${Boost_INCLUDE_DIR}
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}" )


########### next target ###############

set( localbookmarksresource_SRCS
  localbookmarksresource.cpp
)

install( FILES localbookmarksresource.desktop DESTINATION "${CMAKE_INSTALL_PREFIX}/share/akonadi/agents" )


kde4_add_kcfg_files(localbookmarksresource_SRCS settings.kcfgc)
kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/localbookmarksresource.kcfg org.kde.Akonadi.LocalBookmarks.Settings)
qt4_add_dbus_adaptor(localbookmarksresource_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.LocalBookmarks.Settings.xml settings.h Settings
)

kde4_add_executable(akonadi_localbookmarks_resource ${localbookmarksresource_SRCS})

if (Q_WS_MAC)
  set_target_properties(akonadi_localbookmarks_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
  set_target_properties(akonadi_localbookmarks_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.LocalBookmarks")
  set_target_properties(akonadi_localbookmarks_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi LocalBookmarks Resource")
endif (Q_WS_MAC)

target_link_libraries(akonadi_localbookmarks_resource ${KDEPIMLIBS_AKONADI_LIBS} ${QT_QTDBUS_LIBRARY}  ${KDE4_KIO_LIBS})

install(TARGETS akonadi_localbookmarks_resource ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kdepim-runtime (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)
    - Add enable_calendarsearch.diff to re-enable calendarsearch (upstream
      disabled it in 4.8.5 due to it being incomplete, but we need to have a
      minimal diff, so we'll leave it enabled) 

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:49:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
  kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), libakonadi-dev (>= 1.5.0),
  libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.46-dev,

## kdepim-runtime 4.9.2

=== debian/changelog ===
kdepim-runtime (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 07:08:33 -0400

kdepim-runtime (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:24:52 +0100

kdepim-runtime (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Build dep on libxerces-c-dev and libboost-thread-dev (were implicitly pulled
    in earlier)
  * Make sonames in .install more generic (4.9.* instead of 4.9.0)

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:26:42 +0530

kdepim-runtime (4:4.9.0-0ubuntu2) quantal; urgency=low

  * Build-dep on kdelibs 4.9.0a, adjust .install files to new library
    version no

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Aug 2012 11:57:50 +0100

kdepim-runtime (4:4.9.0-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Use direct build-depends versions rather than kde-sc-dev-latest
  * Add build-dep on libkolab, not in universe
  * Build-dep on libkolabxml-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Jul 2012 10:27:09 +0100

kdepim-runtime (4:4.8.90-0ubuntu5) quantal; urgency=low

  * Add build-dep on libqtwebkit-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jul 2012 13:36:53 +0100

kdepim-runtime (4:4.8.90-0ubuntu4) quantal; urgency=low

  * Add build-dep on libqjson-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jul 2012 09:46:12 +0100

kdepim-runtime (4:4.8.90-0ubuntu3) quantal; urgency=low

  * Add build-dep on libkgapi-dev and add new files for Google resource
    to kdepim-runtime.install

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Jul 2012 15:14:26 +0100

kdepim-runtime (4:4.8.90-0ubuntu2) quantal; urgency=low

  * Do not add autostart link for akonaditray

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Jul 2012 12:28:06 +0100

kdepim-runtime (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:17:13 +0200

kdepim-runtime (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream beta release
   - Bump on build dependencies
   - Removed Kolab and added tine20 stuff to kdepim-runtime.install

 -- Michal Zajac <quintasan@kubuntu.org>  Sun, 27 May 2012 02:25:31 +0200

kdepim-runtime (4:4.8.3-0ubuntu1) quantal; urgency=low

  * New upstream release
    - update kdepim-runtime.install
      (libnepomukdatamanagement-copy was renamed to kdepim-runtime-dms-copy)
  * Switch boost build-dep to 1.49 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 14 May 2012 11:30:55 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,13 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>,
  José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends:
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1), libakonadi-dev (>= 1.5.0),
- libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.46-dev,
- libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2)
+ kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2), libakonadi-dev (>= 1.5.0),
+ libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.49-dev,
+ libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2),
+ libkgapi-dev, libqjson-dev, libqtwebkit-dev, libkolab-dev, libkolabxml-dev, libxerces-c-dev,
+ libboost-thread-dev, libcurl4-openssl-dev
 Standards-Version: 3.9.1
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime

## kdepim-runtime 4.9.4

=== debian/changelog ===
kdepim-runtime (4:4.9.4-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1085516)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 02 Dec 2012 00:57:05 +0100

kdepim-runtime (4:4.9.3-0ubuntu0.1) quantal-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 29 Nov 2012 23:36:12 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends:
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2), libakonadi-dev (>= 1.5.0),
+ kdelibs5-dev (>= 4:4.9.4), kdepimlibs5-dev (>= 4:4.9.4), libakonadi-dev (>= 1.5.0),
  libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.49-dev,
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2),
  libkgapi-dev, libqjson-dev, libqtwebkit-dev, libkolab-dev, libkolabxml-dev, libxerces-c-dev,

## kdepim-runtime 4.9.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -34,11 +34,11 @@
 #    3.2 pre
 #    3.2 alpha1
 
-#if (NOT DEFINED KDEPIM_RUNTIME_DEV_VERSION)
-#    set( KDEPIM_RUNTIME_DEV_VERSION "rc2" )
-#endif ()
-
-set( KDEPIM_RUNTIME_VERSION "4.8.2" )
+if (NOT DEFINED KDEPIM_RUNTIME_DEV_VERSION)
+    set( KDEPIM_RUNTIME_DEV_VERSION )
+endif ()
+
+set( KDEPIM_RUNTIME_VERSION "4.9.5" )
 
 ############### search-related options ################
 option(KDEPIM_NO_NEPOMUK "Build without nepomuk dependency" FALSE)
@@ -54,12 +54,12 @@
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 
-find_package(KdepimLibs 4.7.41 REQUIRED)
+find_package(KdepimLibs 4.9.4 REQUIRED)
 
 find_package(Boost 1.34.0)
 macro_log_feature(Boost_FOUND "Boost" "Boost C++ Libraries" "http://www.boost.org" TRUE "1.34.0" "Required by Akonadi.")
 
-set(AKONADI_MIN_VERSION 1.4.91)
+set(AKONADI_MIN_VERSION 1.8.0)
 find_package(Akonadi)
 macro_log_feature(Akonadi_FOUND "Akonadi" "Akonadi server libraries" "http://pim.kde.org/akonadi" TRUE "${AKONADI_MIN_VERSION}" "Akonadi is required to build kdepim-runtime.")
 
@@ -70,7 +70,7 @@
 find_package(LibXml2)
 macro_log_feature(LIBXML2_FOUND "LibXML2" "Libraries used to develop XML applications" "http://xmlsoft.org" FALSE "" "Needed for building the knut Akonadi resource.")
 
-set(SDO_MIN_VERSION 0.6.51)
+set(SDO_MIN_VERSION 0.10)
 set(SOPRANO_MIN_VERSION 2.3.70)
 
 if(NOT KDEPIM_NO_NEPOMUK)
@@ -91,7 +91,16 @@
 endif(NOT KDEPIM_NO_NEPOMUK)
 
 find_package(Strigi)
-macro_log_feature(STRIGI_FOUND "Strigi" "Index metadata of files" "http://strigi.sourceforge.net" FALSE "" "")
+macro_log_feature(STRIGI_FOUND "Strigi" "Strigi desktop search engine" "http://strigi.sourceforge.net" FALSE "" "")
+
+set(LibKGAPI_MIN_VERSION 0.4.0)
+find_package(LibKGAPI QUIET NO_MODULE)
+macro_log_feature(LibKGAPI_FOUND "LibKGAPI" "A library to access Google services" "http://projects.kde.org/libkgapi" FALSE "${LibKGAPI_MIN_VERSION}" "LibKGAPI is required to build Akonadi resources to access Google Contacts, Calendars and Tasks" )
+
+if(LibKGAPI_FOUND)
+  find_package(QJSON)
+  macro_log_feature(QJSON_FOUND "QJSON" "Qt library for handling JSON data" "http://qjson.sourceforge.net/" TRUE)
+endif()
 
 ############### search programs & libraries used by kdepim-runtime ###############
 
@@ -105,8 +114,13 @@
   ${LIB_INSTALL_DIR}
   $ENV{STRIGI_HOME}/lib
 )
-macro_log_feature(STRIGIQTDBUSCLIENT_LIBRARY "strigi indexing" "Strigi built with indexing" "http://strigi.sourceforge.net/" FALSE "" "For Akonadi tools such as the message searchprovider")
-
+macro_log_feature(STRIGIQTDBUSCLIENT_LIBRARY "Strigi Qt D-Bus client library" "Strigi built with indexing" "http://strigi.sourceforge.net/" FALSE "" "For Akonadi tools such as the message searchprovider")
+
+find_package(Libkolab NO_MODULE 0.2)
+macro_log_feature(Libkolab_FOUND "KolabLibraries" "The Kolab Format libraries" "http://mirror.kolabsys.com/pub/releases/" FALSE "0.2" "The Kolab Format libraries are required to build the Kolab Groupware Resource")
+
+find_package(Libkolabxml NO_MODULE)
+macro_log_feature(Libkolabxml_FOUND "Kolabxml" "The Kolab XML Format Schema Definitions Library" "http://mirror.kolabsys.com/pub/releases/" FALSE "" "The Kolab XML Format Schema Definitions Library is required to build the Kolab Groupware Resource")
 
 ############### Load the CTest options ###############

=== debian/changelog ===
kdepim-runtime (4:4.9.5-0ubuntu0.1) quantal; urgency=low

  * New upstream bugfix release (LP: #1094523)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 30 Dec 2012 21:33:58 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends:
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.4), kdepimlibs5-dev (>= 4:4.9.4), libakonadi-dev (>= 1.5.0),
+ kdelibs5-dev (>= 4:4.9.5), kdepimlibs5-dev (>= 4:4.9.5), libakonadi-dev (>= 1.5.0),
  libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.49-dev,
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2),
  libkgapi-dev, libqjson-dev, libqtwebkit-dev, libkolab-dev, libkolabxml-dev, libxerces-c-dev,

## kdepim-runtime 4.10.0

=== debian/changelog ===
kdepim-runtime (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:49:44 +0000

kdepim-runtime (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:30:05 +0000

kdepim-runtime (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:32:26 +0100

kdepim-runtime (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:26:40 +0000

kdepim-runtime (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:49:43 +0000

kdepim-runtime (4:4.9.80-0ubuntu1) raring; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scott Kitterman ]
  * Add nepomuk-core-dev to build-depends
  * Build-depend on libboost-thread1.49-dev instead of libboost-thread-dev for
    consistency
  * Drop libkdepim-runtime-dms-copy.so from kdepim-runtime.install - it is
    replaced by nepomuk-core
  * Add new akonadi_icaldir_resource, nepomukpimindexerutility, and related
    files to kdepim-runtime.install

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 21:10:50 -0500

kdepim-runtime (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:33:42 +0100

kdepim-runtime (4:4.6.0-0ubuntu1) raring; urgency=low

  * New upstream release
    - refresh fix_ontology_vs_feeder_automoc_race_condition.diff
    - update kdepim-runtime.install
    - kdepim-runtime-dbg Breaks/Replaces kdepim-dbg << 4:4.5.96

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 11 Jun 2011 14:00:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends:
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.5), kdepimlibs5-dev (>= 4:4.9.5), libakonadi-dev (>= 1.5.0),
- libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.49-dev,
+ kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0), libakonadi-dev (>= 1.5.0),
+ libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.49-dev, libboost-thread1.49-dev,
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2),
  libkgapi-dev, libqjson-dev, libqtwebkit-dev, libkolab-dev, libkolabxml-dev, libxerces-c-dev,
- libboost-thread-dev, libcurl4-openssl-dev
+ nepomuk-core-dev (>= 4:4.10.0), libcurl4-openssl-dev
 Standards-Version: 3.9.1
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime

## kdepim-runtime 4.10.2

=== debian/changelog ===
kdepim-runtime (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:45:39 +0200

kdepim-runtime (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:41:47 +0000

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends:
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0), libakonadi-dev (>= 1.5.0),
+ kdelibs5-dev (>= 4:4.10.2), kdepimlibs5-dev (>= 4:4.10.2), libakonadi-dev (>= 1.5.0),
  libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.49-dev, libboost-thread1.49-dev,
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2),
  libkgapi-dev, libqjson-dev, libqtwebkit-dev, libkolab-dev, libkolabxml-dev, libxerces-c-dev,
- nepomuk-core-dev (>= 4:4.10.0), libcurl4-openssl-dev
+ nepomuk-core-dev (>= 4:4.10.2), libcurl4-openssl-dev
 Standards-Version: 3.9.1
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime

## kdepim-runtime 4.10.5

=== debian/changelog ===
kdepim-runtime (4:4.10.5-0ubuntu0.1) raring; urgency=low

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1196090)

  [ Howard Chan ]
  * Add 5 files into kdepim-runtime.install.

  [ Jonathan Riddell ]
  * Add kubuntu_kolab_event_folders.diff and
    kubuntu_no_crash_without_kolab.diff requested by Christian Mollekopf
    <mollekopf@kolabsys.com>

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 29 Jun 2013 20:39:30 +0200

kdepim-runtime (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:29:34 +0200

kdepim-runtime (4:4.10.3-0ubuntu0.1~ubuntu13.04) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1176358)

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 04 May 2013 18:10:22 +0200

kdepim-runtime (4:4.10.2-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:45:39 +0200

kdepim-runtime (4:4.10.1-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:41:47 +0000

kdepim-runtime (4:4.10.0-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:49:44 +0000

kdepim-runtime (4:4.9.98-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:30:05 +0000

kdepim-runtime (4:4.9.97-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:32:26 +0100

kdepim-runtime (4:4.9.95-0ubuntu1) raring-proposed; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:26:40 +0000

kdepim-runtime (4:4.9.90-0ubuntu1) raring-proposed-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:49:43 +0000

kdepim-runtime (4:4.9.80-0ubuntu1) raring-proposed; urgency=low

  [ Jonathan Riddell ]
  * New upstream beta release

  [ Scott Kitterman ]
  * Add nepomuk-core-dev to build-depends
  * Build-depend on libboost-thread1.49-dev instead of libboost-thread-dev for
    consistency
  * Drop libkdepim-runtime-dms-copy.so from kdepim-runtime.install - it is
    replaced by nepomuk-core
  * Add new akonadi_icaldir_resource, nepomukpimindexerutility, and related
    files to kdepim-runtime.install

 -- Scott Kitterman <scott@kitterman.com>  Tue, 20 Nov 2012 21:10:50 -0500

kdepim-runtime (4:4.9.3-0ubuntu1) raring-proposed; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:33:42 +0100

kdepim-runtime (4:4.6.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release
    - refresh fix_ontology_vs_feeder_automoc_race_condition.diff
    - update kdepim-runtime.install
    - kdepim-runtime-dbg Breaks/Replaces kdepim-dbg << 4:4.5.96

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 11 Jun 2011 14:00:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>
 Build-Depends:
  debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), kdepimlibs5-dev (>= 4:4.10.2), libakonadi-dev (>= 1.5.0),
+ kdelibs5-dev (>= 4:4.10.5), kdepimlibs5-dev (>= 4:4.10.5), libakonadi-dev (>= 1.5.0),
  libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.49-dev, libboost-thread1.49-dev,
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2),
  libkgapi-dev, libqjson-dev, libqtwebkit-dev, libkolab-dev, libkolabxml-dev, libxerces-c-dev,
- nepomuk-core-dev (>= 4:4.10.2), libcurl4-openssl-dev
+ nepomuk-core-dev (>= 4:4.10.5), libcurl4-openssl-dev
 Standards-Version: 3.9.1
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdepim-runtime
